Bug 55008 - segmentation fault for password command on the grub commandline
segmentation fault for password command on the grub commandline
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: grub (Show other bugs)
7.2
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 05:47 EDT by Stephan Hermann
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-24 17:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephan Hermann 2001-10-24 05:47:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
segmentation fault for password command on the grub commandline

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. call "grub"
2. enter "password --md5"
3. enter a password at the "password" prompt
4. segfault
	

Additional info:
Comment 1 Jeremy Katz 2001-10-24 17:57:10 EDT
Aha, see why this is happening and have a patch almost cooked up.

Password from the shell is trying to check that the password you entered matches
the crypted password you gave after "password --md5" which was null --> go boom.
If you want to get an md5crypted version of a password try using md5crypt
instead, but I will fix this so it doesn't segfault :)
Comment 2 Jeremy Katz 2001-10-31 17:44:54 EST
Fixed in grub-0.90-13 or greater.  I'm building packages now and they'll be up
at http://people.redhat.com/~katzj/RPMS/ if you'd like to test.
Comment 3 Daniel Senie 2002-04-14 01:35:24 EDT
Disabling the floppy drive in the BIOS on the ISP 1100 allowed the system to 
boot.

Applying the latest grub from ~katzj and then figuring out how to get grub to 
install itself into /boot permitted me to re-enable the floppy in the ISP 1100 
BIOS and still have the system boot.

Bizarre, but worth documenting for the next victim who comes along.

Note You need to log in before you can comment on or make changes to this bug.